https://toolsadmin.wikimedia.org/tools/create/ returns 403 rather than redirecting to login
Closed, ResolvedPublic

Description

Reported on https://wikitech.wikimedia.org/wiki/Talk:Portal:Toolforge :

There is no login link at https://tools.wmflabs.org/. So if you've got a login and have already set up an SSH key but you're not logged in to toolsadmin, there's no obvious way to create a new tool - clicking the 'Create a new tool' link results in HTTP 403. It'd be nice if either there was a login link, or /tools/create redirected to a login screen if you're not logged in. GoldenRing (talk) 08:11, 4 October 2017 (UTC)

Steps to reproduce

Expected behavior

User should be redirected to https://toolsadmin.wikimedia.org/auth/login/?next=/tools/create/ where they can login and then returned to the tool creation form.

Actual behavior

User sees a 403 Forbidden status code page.

This warning is logged on the backend server:
2017-10-04T15:18:26Z [b3fb5847f21b4c6f84e96b0fc66b9e27] django.request WARNING: Forbidden (Permission denied): /tools/create/

bd808 created this task.Oct 4 2017, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2017, 3:20 PM
bd808 moved this task from Backlog to Ready on the Striker board.Oct 4 2017, 11:37 PM

Change 404174 had a related patch set uploaded (by Merlijn van Deen; owner: Merlijn van Deen):
[labs/striker@master] order login_required and require_tools_member correctly

https://gerrit.wikimedia.org/r/404174

Change 404174 merged by jenkins-bot:
[labs/striker@master] order login_required and require_tools_member correctly

https://gerrit.wikimedia.org/r/404174

Mentioned in SAL (#wikimedia-operations) [2018-08-02T20:28:40Z] <bd808@deploy1001> Started deploy [striker/deploy@2329901]: Update Striker to 2329901 (T177407, T198076, T190543)

bd808 closed this task as Resolved.Aug 2 2018, 8:37 PM
bd808 claimed this task.